SelectorContext (Tomcat API Documentation)
Keywords: org.apache.naming.SelectorContext class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming
Class SelectorContext

    java.lang.Object
      org.apache.naming.SelectorContext

All Implemented Interfaces:
  javax.naming.Context

    public class SelectorContext

extends java.lang.Object
implements javax.naming.Context

Catalina JNDI Context implementation.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Remy Maucherat

Field Summary
`protected java.util.Hashtable` | `env` Environment.
`static java.lang.String` | `IC_PREFIX` Initial context prefix.
`protected boolean` | `initialContext` Request for an initial context.
`static java.lang.String` | `prefix` Namespace URL.
`static int` | `prefixLength` Namespace URL length.
`protected StringManager` | `sm` The string manager for this package.

Fields inherited from interface javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Constructor Summary
`SelectorContext(java.util.Hashtable env)` Builds a Catalina selector context using the given environment.
`SelectorContext(java.util.Hashtable env, boolean initialContext)` Builds a Catalina selector context using the given environment.

Method Summary
`java.lang.Object` | `addToEnvironment(java.lang.String propName, java.lang.Object propVal)` Adds a new environment property to the environment of this context.
`void` | `bind(javax.naming.Name name, java.lang.Object obj)` Binds a name to an object.
`void` | `bind(java.lang.String name, java.lang.Object obj)` Binds a name to an object.
`void` | `close()` Closes this context.
`javax.naming.Name` | `composeName(javax.naming.Name name, javax.naming.Name prefix)` Composes the name of this context with a name relative to this context.
`java.lang.String` | `composeName(java.lang.String name, java.lang.String prefix)` Composes the name of this context with a name relative to this context.
`javax.naming.Context` | `createSubcontext(javax.naming.Name name)` Creates and binds a new context.
`javax.naming.Context` | `createSubcontext(java.lang.String name)` Creates and binds a new context.
`void` | `destroySubcontext(javax.naming.Name name)` Destroys the named context and removes it from the namespace.
`void` | `destroySubcontext(java.lang.String name)` Destroys the named context and removes it from the namespace.
`protected javax.naming.Context` | `getBoundContext()` Get the bound context.
`java.util.Hashtable` | `getEnvironment()` Retrieves the environment in effect for this context.
`java.lang.String` | `getNameInNamespace()` Retrieves the full name of this context within its own namespace.
`javax.naming.NameParser` | `getNameParser(javax.naming.Name name)` Retrieves the parser associated with the named context.
`javax.naming.NameParser` | `getNameParser(java.lang.String name)` Retrieves the parser associated with the named context.
`javax.naming.NamingEnumeration` | `list(javax.naming.Name name)` Enumerates the names bound in the named context, along with the class names of objects bound to them.
`javax.naming.NamingEnumeration` | `list(java.lang.String name)` Enumerates the names bound in the named context, along with the class names of objects bound to them.
`javax.naming.NamingEnumeration` | `listBindings(javax.naming.Name name)` Enumerates the names bound in the named context, along with the objects bound to them.
`javax.naming.NamingEnumeration` | `listBindings(java.lang.String name)` Enumerates the names bound in the named context, along with the objects bound to them.
`java.lang.Object` | `lookup(javax.naming.Name name)` Retrieves the named object.
`java.lang.Object` | `lookup(java.lang.String name)` Retrieves the named object.
`java.lang.Object` | `lookupLink(javax.naming.Name name)` Retrieves the named object, following links except for the terminal atomic component of the name.
`java.lang.Object` | `lookupLink(java.lang.String name)` Retrieves the named object, following links except for the terminal atomic component of the name.
`protected javax.naming.Name` | `parseName(javax.naming.Name name)` Strips the URL header.
`protected java.lang.String` | `parseName(java.lang.String name)` Strips the URL header.
`void` | `rebind(javax.naming.Name name, java.lang.Object obj)` Binds a name to an object, overwriting any existing binding.
`void` | `rebind(java.lang.String name, java.lang.Object obj)` Binds a name to an object, overwriting any existing binding.
`java.lang.Object` | `removeFromEnvironment(java.lang.String propName)` Removes an environment property from the environment of this context.
`void` | `rename(javax.naming.Name oldName, javax.naming.Name newName)` Binds a new name to the object bound to an old name, and unbinds the old name.
`void` | `rename(java.lang.String oldName, java.lang.String newName)` Binds a new name to the object bound to an old name, and unbinds the old name.
`void` | `unbind(javax.naming.Name name)` Unbinds the named object.
`void` | `unbind(java.lang.String name)` Unbinds the named object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prefix

    public static final java.lang.String prefix

  Namespace URL.

  See Also:
    Constant Field Values

### prefixLength

    public static final int prefixLength

  Namespace URL length.

### IC_PREFIX

    public static final java.lang.String IC_PREFIX

  Initial context prefix.

  See Also:
    Constant Field Values

### env

    protected java.util.Hashtable env

  Environment.

### sm

    protected StringManager sm

  The string manager for this package.

### initialContext

    protected boolean initialContext

  Request for an initial context.

Constructor Detail

### SelectorContext

    public SelectorContext(java.util.Hashtable env)

  Builds a Catalina selector context using the given environment.

### SelectorContext

    public SelectorContext(java.util.Hashtable env,
                           boolean initialContext)

  Builds a Catalina selector context using the given environment.

Method Detail

### lookup

    public java.lang.Object lookup(javax.naming.Name name)
                            throws javax.naming.NamingException

  Retrieves the named object. If name is empty, returns a new instance of this context (which represents the same naming context as this context, but its environment may be modified independently and it may be accessed concurrently).

  Specified by:
    `lookup` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the object to look up
  Returns:
    the object bound to name
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### lookup

    public java.lang.Object lookup(java.lang.String name)
                            throws javax.naming.NamingException

  Retrieves the named object.

  Specified by:
    `lookup` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the object to look up
  Returns:
    the object bound to name
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### bind

    public void bind(javax.naming.Name name,
                     java.lang.Object obj)
              throws javax.naming.NamingException

  Binds a name to an object. All intermediate contexts and the target context (that named by all but terminal atomic component of the name) must already exist.

  Specified by:
    `bind` in interface `javax.naming.Context`
  Parameters:
    `name` - the name to bind; may not be empty
    `obj` - the object to bind; possibly null
  Throws:
    `NameAlreadyBoundException` - if name is already bound
    `InvalidAttributesException` - if object did not supply all mandatory attributes
    `javax.naming.NamingException` - if a naming exception is encountered

### bind

    public void bind(java.lang.String name,
                     java.lang.Object obj)
              throws javax.naming.NamingException

  Binds a name to an object.

  Specified by:
    `bind` in interface `javax.naming.Context`
  Parameters:
    `name` - the name to bind; may not be empty
    `obj` - the object to bind; possibly null
  Throws:
    `NameAlreadyBoundException` - if name is already bound
    `InvalidAttributesException` - if object did not supply all mandatory attributes
    `javax.naming.NamingException` - if a naming exception is encountered

### rebind

    public void rebind(javax.naming.Name name,
                       java.lang.Object obj)
                throws javax.naming.NamingException

  Binds a name to an object, overwriting any existing binding. All intermediate contexts and the target context (that named by all but terminal atomic component of the name) must already exist.

  If the object is a DirContext, any existing attributes associated with the name are replaced with those of the object. Otherwise, any existing attributes associated with the name remain unchanged.

  Specified by:
    `rebind` in interface `javax.naming.Context`
  Parameters:
    `name` - the name to bind; may not be empty
    `obj` - the object to bind; possibly null
  Throws:
    `InvalidAttributesException` - if object did not supply all mandatory attributes
    `javax.naming.NamingException` - if a naming exception is encountered

### rebind

    public void rebind(java.lang.String name,
                       java.lang.Object obj)
                throws javax.naming.NamingException

  Binds a name to an object, overwriting any existing binding.

  Specified by:
    `rebind` in interface `javax.naming.Context`
  Parameters:
    `name` - the name to bind; may not be empty
    `obj` - the object to bind; possibly null
  Throws:
    `InvalidAttributesException` - if object did not supply all mandatory attributes
    `javax.naming.NamingException` - if a naming exception is encountered

### unbind

    public void unbind(javax.naming.Name name)
                throws javax.naming.NamingException

  Unbinds the named object. Removes the terminal atomic name in name from the target context--that named by all but the terminal atomic part of name.

  This method is idempotent. It succeeds even if the terminal atomic name is not bound in the target context, but throws NameNotFoundException if any of the intermediate contexts do not exist.

  Specified by:
    `unbind` in interface `javax.naming.Context`
  Parameters:
    `name` - the name to bind; may not be empty
  Throws:
    `NameNotFoundException` - if an intermediate context does not exist
    `javax.naming.NamingException` - if a naming exception is encountered

### unbind

    public void unbind(java.lang.String name)
                throws javax.naming.NamingException

  Unbinds the named object.

  Specified by:
    `unbind` in interface `javax.naming.Context`
  Parameters:
    `name` - the name to bind; may not be empty
  Throws:
    `NameNotFoundException` - if an intermediate context does not exist
    `javax.naming.NamingException` - if a naming exception is encountered

### rename

    public void rename(javax.naming.Name oldName,
                       javax.naming.Name newName)
                throws javax.naming.NamingException

  Binds a new name to the object bound to an old name, and unbinds the old name. Both names are relative to this context. Any attributes associated with the old name become associated with the new name. Intermediate contexts of the old name are not changed.

  Specified by:
    `rename` in interface `javax.naming.Context`
  Parameters:
    `oldName` - the name of the existing binding; may not be empty
    `newName` - the name of the new binding; may not be empty
  Throws:
    `NameAlreadyBoundException` - if newName is already bound
    `javax.naming.NamingException` - if a naming exception is encountered

### rename

    public void rename(java.lang.String oldName,
                       java.lang.String newName)
                throws javax.naming.NamingException

  Binds a new name to the object bound to an old name, and unbinds the old name.

  Specified by:
    `rename` in interface `javax.naming.Context`
  Parameters:
    `oldName` - the name of the existing binding; may not be empty
    `newName` - the name of the new binding; may not be empty
  Throws:
    `NameAlreadyBoundException` - if newName is already bound
    `javax.naming.NamingException` - if a naming exception is encountered

### list

    public javax.naming.NamingEnumeration list(javax.naming.Name name)
                                        throws javax.naming.NamingException

  Enumerates the names bound in the named context, along with the class names of objects bound to them. The contents of any subcontexts are not included.

  If a binding is added to or removed from this context, its effect on an enumeration previously returned is undefined.

  Specified by:
    `list` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to list
  Returns:
    an enumeration of the names and class names of the bindings in this context. Each element of the enumeration is of type NameClassPair.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### list

    public javax.naming.NamingEnumeration list(java.lang.String name)
                                        throws javax.naming.NamingException

  Enumerates the names bound in the named context, along with the class names of objects bound to them.

  Specified by:
    `list` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to list
  Returns:
    an enumeration of the names and class names of the bindings in this context. Each element of the enumeration is of type NameClassPair.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### listBindings

    public javax.naming.NamingEnumeration listBindings(javax.naming.Name name)
                                                throws javax.naming.NamingException

  Enumerates the names bound in the named context, along with the objects bound to them. The contents of any subcontexts are not included.

  If a binding is added to or removed from this context, its effect on an enumeration previously returned is undefined.

  Specified by:
    `listBindings` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to list
  Returns:
    an enumeration of the bindings in this context. Each element of the enumeration is of type Binding.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### listBindings

    public javax.naming.NamingEnumeration listBindings(java.lang.String name)
                                                throws javax.naming.NamingException

  Enumerates the names bound in the named context, along with the objects bound to them.

  Specified by:
    `listBindings` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to list
  Returns:
    an enumeration of the bindings in this context. Each element of the enumeration is of type Binding.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### destroySubcontext

    public void destroySubcontext(javax.naming.Name name)
                           throws javax.naming.NamingException

  Destroys the named context and removes it from the namespace. Any attributes associated with the name are also removed. Intermediate contexts are not destroyed.

  This method is idempotent. It succeeds even if the terminal atomic name is not bound in the target context, but throws NameNotFoundException if any of the intermediate contexts do not exist. In a federated naming system, a context from one naming system may be bound to a name in another. One can subsequently look up and perform operations on the foreign context using a composite name. However, an attempt destroy the context using this composite name will fail with NotContextException, because the foreign context is not a "subcontext" of the context in which it is bound. Instead, use unbind() to remove the binding of the foreign context. Destroying the foreign context requires that the destroySubcontext() be performed on a context from the foreign context's "native" naming system.

  Specified by:
    `destroySubcontext` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to be destroyed; may not be empty
  Throws:
    `NameNotFoundException` - if an intermediate context does not exist
    `NotContextException` - if the name is bound but does not name a context, or does not name a context of the appropriate type
    `javax.naming.NamingException`

### destroySubcontext

    public void destroySubcontext(java.lang.String name)
                           throws javax.naming.NamingException

  Destroys the named context and removes it from the namespace.

  Specified by:
    `destroySubcontext` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to be destroyed; may not be empty
  Throws:
    `NameNotFoundException` - if an intermediate context does not exist
    `NotContextException` - if the name is bound but does not name a context, or does not name a context of the appropriate type
    `javax.naming.NamingException`

### createSubcontext

    public javax.naming.Context createSubcontext(javax.naming.Name name)
                                          throws javax.naming.NamingException

  Creates and binds a new context. Creates a new context with the given name and binds it in the target context (that named by all but terminal atomic component of the name). All intermediate contexts and the target context must already exist.

  Specified by:
    `createSubcontext` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to create; may not be empty
  Returns:
    the newly created context
  Throws:
    `NameAlreadyBoundException` - if name is already bound
    `InvalidAttributesException` - if creation of the subcontext requires specification of mandatory attributes
    `javax.naming.NamingException` - if a naming exception is encountered

### createSubcontext

    public javax.naming.Context createSubcontext(java.lang.String name)
                                          throws javax.naming.NamingException

  Creates and binds a new context.

  Specified by:
    `createSubcontext` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context to create; may not be empty
  Returns:
    the newly created context
  Throws:
    `NameAlreadyBoundException` - if name is already bound
    `InvalidAttributesException` - if creation of the subcontext requires specification of mandatory attributes
    `javax.naming.NamingException` - if a naming exception is encountered

### lookupLink

    public java.lang.Object lookupLink(javax.naming.Name name)
                                throws javax.naming.NamingException

  Retrieves the named object, following links except for the terminal atomic component of the name. If the object bound to name is not a link, returns the object itself.

  Specified by:
    `lookupLink` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the object to look up
  Returns:
    the object bound to name, not following the terminal link (if any).
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### lookupLink

    public java.lang.Object lookupLink(java.lang.String name)
                                throws javax.naming.NamingException

  Retrieves the named object, following links except for the terminal atomic component of the name.

  Specified by:
    `lookupLink` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the object to look up
  Returns:
    the object bound to name, not following the terminal link (if any).
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### getNameParser

    public javax.naming.NameParser getNameParser(javax.naming.Name name)
                                          throws javax.naming.NamingException

  Retrieves the parser associated with the named context. In a federation of namespaces, different naming systems will parse names differently. This method allows an application to get a parser for parsing names into their atomic components using the naming convention of a particular naming system. Within any single naming system, NameParser objects returned by this method must be equal (using the equals() test).

  Specified by:
    `getNameParser` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context from which to get the parser
  Returns:
    a name parser that can parse compound names into their atomic components
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### getNameParser

    public javax.naming.NameParser getNameParser(java.lang.String name)
                                          throws javax.naming.NamingException

  Retrieves the parser associated with the named context.

  Specified by:
    `getNameParser` in interface `javax.naming.Context`
  Parameters:
    `name` - the name of the context from which to get the parser
  Returns:
    a name parser that can parse compound names into their atomic components
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### composeName

    public javax.naming.Name composeName(javax.naming.Name name,
                                         javax.naming.Name prefix)
                                  throws javax.naming.NamingException

  Composes the name of this context with a name relative to this context.

  Given a name (name) relative to this context, and the name (prefix) of this context relative to one of its ancestors, this method returns the composition of the two names using the syntax appropriate for the naming system(s) involved. That is, if name names an object relative to this context, the result is the name of the same object, but relative to the ancestor context. None of the names may be null.

  Specified by:
    `composeName` in interface `javax.naming.Context`
  Parameters:
    `name` - a name relative to this context
    `prefix` - the name of this context relative to one of its ancestors
  Returns:
    the composition of prefix and name
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### composeName

    public java.lang.String composeName(java.lang.String name,
                                        java.lang.String prefix)
                                 throws javax.naming.NamingException

  Composes the name of this context with a name relative to this context.

  Specified by:
    `composeName` in interface `javax.naming.Context`
  Parameters:
    `name` - a name relative to this context
    `prefix` - the name of this context relative to one of its ancestors
  Returns:
    the composition of prefix and name
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### addToEnvironment

    public java.lang.Object addToEnvironment(java.lang.String propName,
                                             java.lang.Object propVal)
                                      throws javax.naming.NamingException

  Adds a new environment property to the environment of this context. If the property already exists, its value is overwritten.

  Specified by:
    `addToEnvironment` in interface `javax.naming.Context`
  Parameters:
    `propName` - the name of the environment property to add; may not be null
    `propVal` - the value of the property to add; may not be null
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### removeFromEnvironment

    public java.lang.Object removeFromEnvironment(java.lang.String propName)
                                           throws javax.naming.NamingException

  Removes an environment property from the environment of this context.

  Specified by:
    `removeFromEnvironment` in interface `javax.naming.Context`
  Parameters:
    `propName` - the name of the environment property to remove; may not be null
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### getEnvironment

    public java.util.Hashtable getEnvironment()
                                       throws javax.naming.NamingException

  Retrieves the environment in effect for this context. See class description for more details on environment properties. The caller should not make any changes to the object returned: their effect on the context is undefined. The environment of this context may be changed using addToEnvironment() and removeFromEnvironment().

  Specified by:
    `getEnvironment` in interface `javax.naming.Context`
  Returns:
    the environment of this context; never null
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### close

    public void close()
               throws javax.naming.NamingException

  Closes this context. This method releases this context's resources immediately, instead of waiting for them to be released automatically by the garbage collector. This method is idempotent: invoking it on a context that has already been closed has no effect. Invoking any other method on a closed context is not allowed, and results in undefined behaviour.

  Specified by:
    `close` in interface `javax.naming.Context`
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### getNameInNamespace

    public java.lang.String getNameInNamespace()
                                        throws javax.naming.NamingException

  Retrieves the full name of this context within its own namespace.

  Many naming services have a notion of a "full name" for objects in their respective namespaces. For example, an LDAP entry has a distinguished name, and a DNS record has a fully qualified name. This method allows the client application to retrieve this name. The string returned by this method is not a JNDI composite name and should not be passed directly to context methods. In naming systems for which the notion of full name does not make sense, OperationNotSupportedException is thrown.

  Specified by:
    `getNameInNamespace` in interface `javax.naming.Context`
  Returns:
    this context's name in its own namespace; never null
  Throws:
    `OperationNotSupportedException` - if the naming system does not have the notion of a full name
    `javax.naming.NamingException` - if a naming exception is encountered

### getBoundContext

    protected javax.naming.Context getBoundContext()
                                            throws javax.naming.NamingException

  Get the bound context.

  Throws:
    `javax.naming.NamingException`

### parseName

    protected java.lang.String parseName(java.lang.String name)
                                  throws javax.naming.NamingException

  Strips the URL header.

  Returns:
    the parsed name
  Throws:
    `javax.naming.NamingException` - if there is no "java:" header or if no naming context has been bound to this thread

### parseName

    protected javax.naming.Name parseName(javax.naming.Name name)
                                   throws javax.naming.NamingException

  Strips the URL header.

  Returns:
    the parsed name
  Throws:
    `javax.naming.NamingException` - if there is no "java:" header or if no naming context has been bound to this thread

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.